// Simple MPPG application
// Need mpp-2.2.0
#include <cmath>

#include <FL/Fl_Device.H>

#include <mpp/mpp_window.h>
#include <mpp/draw.h>

using namespace mpp;

Scale scale(-1, 1, -1, 1);

double phi=0, dphi=1e-6;

void ud(){
	set_scale(scale);
	set_color(FL_WHITE);
	line(0,0,cos(phi),sin(phi));
}

void f(){
	while (may_i_repeat()){
		phi+=dphi;
		ask_update();
	}
}

int main(){
	Mpp_window win;
	win.canvas.add_shape(new User_draw(ud));
	win.table.add_item("phi = ", phi);
	set_work(f);
	start();
	return run();	
}
